﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{B9B87738-F3FF-43A6-9619-B16EF01C930E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>PNet.TestNetwork</RootNamespace>
    <AssemblyName>PNet.TestNetwork</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="TestClientDispatchClient.cs" />
    <Compile Include="TestClientRoomClient.cs" />
    <Compile Include="TestDispatchServer.cs" />
    <Compile Include="TestRoomDispatchClient.cs" />
    <Compile Include="TestRoomServer.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\lib\lidgren-network-gen3\Lidgren.Network\Lidgren.Network.csproj">
      <Project>{49BA1C69-6104-41AC-A5D8-B54FA9F696E8}</Project>
      <Name>Lidgren.Network</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\PNet2Client\PNet2Client.csproj">
      <Project>{0C5357D1-0B15-4568-BCFA-B32824C963B9}</Project>
      <Name>PNet2Client</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\PNet2Room\PNet2Room.csproj">
      <Project>{0539b54a-555c-46a4-bb85-540678faa8b1}</Project>
      <Name>PNet2Room</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\PNet2Server\PNet2Server.csproj">
      <Project>{1CCDDB57-D001-46BE-A685-5DA4C5AC9DF4}</Project>
      <Name>PNet2Server</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\PNet2\PNet2.csproj">
      <Project>{EBAC22F9-499D-4C46-BACE-6877585796AC}</Project>
      <Name>PNet2</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>